
Redmine - Defect #35265

Readmine: Create IssuePriority Enumeration give error

2021-05-20 11:51 - Rajarshi Das

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category:  Estimated time: 0.00 hour

Target version:    

Resolution: Cant reproduce Affected version:  

Description

I am using readmin 4.2

while create a Issue Priority It give me error.

[46, 55] in aa/enumerations_controller.rb

       46:   def new

       47:   end

       48:

       49:   def create

       50:     byebug

    => 51:     if request.post? && @enumeration.save

       52:       flash[:notice] = l(:notice_successful_create)

       53:       redirect_to enumerations_path

       54:     else

       55:       render :action => 'new'

    (byebug) @enumeration                                                                         

                                                                                               #&l

t;IssuePriority id: nil, name: "Normal", position: nil, is_default: false, type: "IssuePriority", 

active: true, project_id: nil, parent_id: nil, position_name: nil&gt;

 and then I saw the below error

(byebug) exception                                                                                

                                                                                           #&lt;Ac

tiveRecord::StatementInvalid: Mysql2::Error: You can't specify target table 'enumerations' for upd

ate in FROM clause: UPDATE `enumerations` SET position = coalesce((

              select position

              from (select id, position from enumerations) as parent

              where parent_id = parent.id), 1) WHERE `enumerations`.`type` IN ('IssuePriority') AN

D `enumerations`.`parent_id` IS NOT NULL ORDER BY `enumerations`.`position` ASC>

 I am not able to create any enuumeration in redmine

any help

History

#1 - 2021-05-20 11:53 - Go MAEDA

Could you paste errors in production.log?

#2 - 2021-05-21 14:01 - Holger Just

- Status changed from New to Needs feedback

#3 - 2022-01-05 07:46 - Marius BĂLTEANU

- Status changed from Needs feedback to Closed

- Resolution set to Cant reproduce

Please reopen with the requested info if you still experience this issue.
